Skip to content

Retrieve A Specific Piece of Equipment

Request

Shows a specific piece of equipment

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
use_third_party_idinteger

Sets the the call to look for a Third Party ID instead of the vWork ID.

Example:use_third_party_id=1
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/equipment/{id}.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/equipment/{id}.xml?api_key=string&use_third_party_id=1&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:47:22 GMT"
ETagstring
Example:"W/\"197907f0f3634f315092aff1d7410394\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"6c906286-8b0d-493f-95cb-d9dea42220d2"
X-Runtimestring
Example:"0.081427"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F450A_6E96DB:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<equipment>
    <id readonly="readonly">9552</id>
    <account_id readonly="readonly">1296</account_id>
    <name>The Forklift</name>
    <notes>Picking it up and Putting it down</notes>
    <third_party_id>QWERTYUIOP</third_party_id>
    <model>Crown</model>
    <serial>53476435482</serial>
    <group_ids>1,501,4833</group_ids>
    <tag_ids>24,2008</tag_ids>
</equipment>